%define upstream_name    DBD-Sybase
%define upstream_version 1.26

# (tv) fix build with 1.19:
%global __brp_check_rpaths %nil

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Sybase database driver for the DBI module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/DBD-Sybase
Source0:    https://cpan.metacpan.org/authors/id/M/ME/MEWP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBI)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: freetds-devel
BuildRequires: gettext-devel
BuildRequires: perl-devel
%description
DBD::Sybase is a Perl module which works with the DBI module to provide access
to Sybase databases. With FreeTDS DBD::Sybase can be also used to query a
MS-SQL 7 or 2000 database server from a UNIX/Linux host.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export SYBASE=%{_prefix}
echo -e "\n\n\n\n\n\n" | %__perl Makefile.PL INSTALLDIRS=vendor
%make_build OPTIMIZE="%{optflags}" LD_RUN_PATH=""

%install
%make_install

%files
%doc BUGS CHANGES CONFIG META.json META.yml MYMETA.yml PWD README eg
%{perl_vendorarch}/DBD/Sybase.pm
%dir %{perl_vendorarch}/auto/DBD/Sybase
%attr(0755,root,root) %{perl_vendorarch}/auto/DBD/Sybase/Sybase.so
%{_mandir}/man3/*

%changelog
* Mon Jul 07 2025 umeabot <umeabot> 1.260.0-2.mga10
+ Revision: 2250282
- Mageia 10 Mass Rebuild

* Sun Mar 30 2025 tv <tv> 1.260.0-1.mga10
+ Revision: 2171667
- update to 1.26

* Sat Oct 19 2024 daviddavid <daviddavid> 1.250.0-3.mga10
+ Revision: 2108438
- rebuild again with fixed perl generator in rpm-mageia-setup-2.80-7.mga10

* Tue Oct 15 2024 daviddavid <daviddavid> 1.250.0-2.mga10
+ Revision: 2107054
- rebuild with fixed perl attr in rpm-mageia-setup-2.80-5.mga10

* Tue Oct 15 2024 tv <tv> 1.250.0-1.mga10
+ Revision: 2106945
- update to 1.25

* Fri Aug 23 2024 tv <tv> 1.240.0-2.mga10
+ Revision: 2088994
- Rebuild for perl-5.40

* Tue Mar 26 2024 tv <tv> 1.240.0-1.mga10
+ Revision: 2052372
- update to 1.24

* Thu Nov 30 2023 tv <tv> 1.230.0-2.mga10
+ Revision: 2011616
- Rebuild for perl-5.38

* Sat Feb 04 2023 tv <tv> 1.230.0-1.mga9
+ Revision: 1938104
- update to 1.23

* Sat Feb 04 2023 tv <tv> 1.220.0-1.mga9
+ Revision: 1938080
- update to 1.22

* Tue Jun 07 2022 umeabot <umeabot> 1.190.0-3.mga9
+ Revision: 1862859
- Rebuild for Perl 5.36

* Mon Mar 21 2022 umeabot <umeabot> 1.190.0-2.mga9
+ Revision: 1815782
- Mageia 9 Mass Rebuild

* Mon Dec 13 2021 tv <tv> 1.190.0-1.mga9
+ Revision: 1761835
- update to 1.19

* Mon May 24 2021 umeabot <umeabot> 1.160.0-8.mga9
+ Revision: 1726547
- Rebuild for perl 5.34

* Thu Jun 18 2020 umeabot <umeabot> 1.160.0-7.mga8
+ Revision: 1595642
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.160.0-6.mga8
+ Revision: 1529451
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 1.160.0-5.mga8
+ Revision: 1433509
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.160.0-4.mga7
+ Revision: 1292675
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.160.0-3.mga7
+ Revision: 1249319
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 1.160.0-2.mga7
+ Revision: 1163897
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 1.160.0-1.mga7
+ Revision: 1159624
- BR perl(DBI)
- update to 1.16

* Thu Aug 31 2017 pterjan <pterjan> 1.150.0-10.mga7
+ Revision: 1149613
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.150.0-9.mga7
+ Revision: 1126534
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.150.0-8.mga6
+ Revision: 1025404
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.150.0-7.mga6
+ Revision: 957104
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 1.150.0-6.mga6
+ Revision: 843843
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.150.0-5.mga5
+ Revision: 739270
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.150.0-4.mga5
+ Revision: 684092
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 1.150.0-3.mga5
+ Revision: 632205
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.150.0-2.mga4
+ Revision: 527612
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 1.150.0-1.mga4
+ Revision: 441526
- update to 1.15

* Wed May 29 2013 jquelin <jquelin> 1.140.0-4.mga4
+ Revision: 430614
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.140.0-3.mga3
+ Revision: 365033
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.140.0-2.mga3
+ Revision: 250495
- rebuild for perl 5.16

* Thu Oct 13 2011 jquelin <jquelin> 1.140.0-1.mga2
+ Revision: 154587
- update to 1.14

* Fri Sep 16 2011 takashi <takashi> 1.130.0-1.mga2
+ Revision: 144206
- update to 1.13

* Wed Jun 15 2011 jquelin <jquelin> 1.120.0-1.mga2
+ Revision: 107798
- update to 1.12

* Sat Jun 11 2011 sander85 <sander85> 1.110.0-3.mga2
+ Revision: 104146
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.110.0-2.mga1
+ Revision: 32733
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.110.0-1.mga1
+ Revision: 30034
- mageia rebuild
- imported package perl-DBD-Sybase


* Wed Nov 10 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.110.0-1mdv2011.0
+ Revision: 595602
- update to new version 1.11

* Sun Apr 18 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.0-1mdv2010.1
+ Revision: 536457
- update to 1.10 (remove mdv patches)

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.90.0-1mdv2010.0
+ Revision: 403094
- rebuild using %%perl_convert_version

* Mon Sep 29 2008 Oden Eriksson <oeriksson@mandriva.com> 1.09-1mdv2009.0
+ Revision: 289562
- fix deps
- try to fix build
- import perl-DBD-Sybase


* Mon Sep 29 2008 Oden Eriksson <oeriksson@mandriva.com> 1.09-1mdv2009.0
- initial Mandriva package
